.container {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 100px 0px 20px 0px;
}

.gameBox {
    text-align: center;
    width: 90%;
    margin: auto;
    color: rgb(130, 130, 130);
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 55px;
    /* background: rgb(60,60,60,0.4); */
    position: relative;
}

#support-stick {
    position: absolute;
    width: 450px;
    z-index: -1;
    left: 340px;
    bottom: 120px;
    filter: drop-shadow(0px 0px 5px rgb(255, 255, 255, 0.6));
}

.stickMover {
    animation: stick-mover 4s linear infinite;
}

@keyframes stick-mover {
    0% {
        transform: translate(50px, -20px);
    }

    50% {
        transform: translate(0px, 0px);
    }

    100% {
        transform: translate(50px, -20px);
    }
}

#support-stick-2 {
    position: absolute;
    width: 450px;
    z-index: -1;
    left: 420px;
    top: 120px;
    transform: scaleY(-1);
    filter: drop-shadow(0px 0px 5px rgb(255, 255, 255, 0.6));
}


.gamePlot {
    padding: 30px 30px;
}

.gameBoxHead {
    font-size: 30px;
    font-weight: 700;
    letter-spacing: 1px;
    text-transform: uppercase;
}

.gameAction {
    width: 100%;
    background: rgb(0, 0, 0);
    padding: 15px;
    border-radius: 20px;
    border: 5px solid rgb(80, 80, 80);
    box-shadow: 0px 0px 10px white;
    display: flex;
    position: relative;
    flex-direction: column;
    padding-bottom: 50px;
}

.gameActionBtn {
    z-index: 99 9;
    font-size: 24px;
    width: 100%;
    font-weight: 900;
    padding: 12px 20px;
    box-shadow: 0px 0px 5px black;
    cursor: pointer;
    background: linear-gradient(to bottom, orange, rgb(255, 145, 0), rgb(125, 71, 0));
    border: 5px solid rgb(210, 136, 0);
    border-radius: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    letter-spacing: 1px;
    font-family: "Poppins";
    text-transform: uppercase;
    transition: 0.4s ease-in-out;
    width: 300px;
    filter: drop-shadow(0px 0px 5px rgb(255, 255, 255, 0.6));
    transition: 0.4s ease-out;
}

.gameActionBtn p {
    background-color: rgb(60, 39, 0);
    -webkit-background-clip: text;
    -moz-background-clip: text;
    background-clip: text;
    color: transparent;
    text-shadow: rgba(255, 255, 255, 0.3) 1px 1px 2px;
}

.gameActionBtn:hover {
    box-shadow: 0px 0px 10px orange;
    color: rgb(29, 29, 29);
}

.gameActionBtn:active {
    transform: scale(0.7);
    box-shadow: 0px 0px 5px black;
}

.gameActionRoller {
    z-index: 9999;
    font-size: 15px;
    width: 100%;
    font-weight: 500;
    padding: 18px 25px;
    box-shadow: 0px 0px 8px rgb(255, 255, 255);
    width: 310px;
    border: 5px solid rgb(40, 40, 40);
    cursor: not-allowed;
    background: rgb(50, 50, 50);
    border-radius: 20px;
    color: #ff9c14ff;
    gap: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.4s ease-in-out;
    font-family: "Poppins";
    user-select: none;
    display: none;
}

.roller {
    /* border: 3px solid orange;
    border-top: 3px solid black;
    border-radius: 50%;*/
    width: 20px;
    height: 20px;
    object-fit: contain;
    animation: spin 1s linear infinite;
    filter: drop-shadow(0px 0px 1px orange);
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

#drop-btn {
    display: none;
}

#roller {
    display: none;
}

@media (max-width: 900px) {
    .gameBox {
        width: 90vw;
        padding: 20px 15px;
    }

    .gameBoxHead {
        font-size: 22px;
    }
}

.gameInfo {
    width: 100%;
    color: white;
    padding: 30px 20px;
    border: 2px solid rgb(0, 0, 0, 0.8);
    border-radius: 20px;
    background: rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(8px);
    box-shadow: 0px 0px 10px black;
}

.gameInfo h3 {
    font-size: 20px;
    font-weight: 500;
    color: orange;
    margin-bottom: 20px;
}

.gameInfoList {
    text-align: left;
    list-style: none;
    font-size: 18px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 15px;
    font-weight: 400;
    color: rgb(200, 200, 200);
}

.gameInfoList li i {
    color: orange;
    font-size: 20px;
}

.gameInfoList li {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 8px;
}

.promptWrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgb(24, 41, 87);
    backdrop-filter: blur(10px);
    width: 100%;
    min-height: 100vh;
    position: fixed;
    top: 0;
    z-index: 9999999;
    display: none;
}

.prompt {
    margin-top: -40px;
    text-align: center;
    padding: 20px 25px;
    border-radius: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 14px;
    flex-direction: column;
    animation: popup 0.6s ease-out;
}

@keyframes popup {
    0% {
        transform: scale(0.5);
    }

    100% {
        transform: scale(1);
    }
}

.prompt img {
    width: 280px;
    height: 280px;
    border-radius: 50%;
    object-fit: cover;
    box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.4);
    user-select: none;
}

.prompt h2 {
    font-size: 26px;
    letter-spacing: 1px;
    text-transform: uppercase;
    font-weight: 600;
    color: orange;
}

.prompt p {
    font-size: 22px;
    font-weight: 500;
    letter-spacing: 1px;
    color: rgb(200, 200, 200);
}

.prompt h1 {
    font-size: 34px;
    font-weight: 800;
    letter-spacing: 1px;
    color: orange;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

#share-text {
    font-size: 15px;
    background: rgba(0, 0, 0, 0.1);
    border-radius: 20px;
    padding: 18px;
    width: 40vw;
    color: white;
    letter-spacing: 1px;
    position: relative;
}

#share-text-actual {
    font-size: 15px;
    font-weight: 300;
    color: white;
    letter-spacing: 1px;

}

#share-text span {
    position: absolute;
    right: 10px;
    bottom: 10px;
    font-size: 14px;
    padding: 5px 7px;
    border-radius: 50%;
    color: white;
    background: rgba(0, 0, 0, 0.5);
    cursor: pointer;
}

#copied {
    position: absolute;
    right: 5px;
    bottom: 38px;
    font-size: 10px;
    color: white;
    background: rgba(0, 0, 0, 0.5);
    border-radius: 10px;
    padding: 5px;
    display: none;
}

.shareBtn {
    font-size: 16px;
    width: 100%;
    font-weight: 700;
    padding: 8px 20px;
    box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.4);
    cursor: pointer;
    background: orange;
    border-radius: 8px;
    color: rgb(0, 0, 0);
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    letter-spacing: 1px;
    text-transform: uppercase;
    margin-top: 10px;
    transition: 0.2s ease-in-out;
}

.shareBtn:hover {
    background: rgb(216, 137, 0);
}

.sharpEdge {
    width: 60px;
    height: 5px;
    background: orange;
    border-radius: 50px 50px 50px 50px;
}

.sharpRound {
    background: orange;
    width: 10px;
    height: 10px;
    border-radius: 50%;
}

.closeBtn {
    position: absolute;
    top: 20px;
    right: 20px;
    background: rgba(255, 255, 255, 0.6);
    color: black;
    border-radius: 50%;
    padding: 7px 10px;
    cursor: pointer;
    font-size: 20px;
}

@media (max-width: 900px) {
    .prompt img {
        width: 180px;
        height: 180px;
    }

    .prompt p {
        font-size: 17px;
    }

    .prompt h1 {
        font-size: 24px;
    }

    .sharpRound {
        width: 5px;
        height: 5px;
    }

    .sharpEdge {
        height: 3px;
        width: 30px;
    }

    #share-text {
        font-size: 13px;
        border-radius: 20px;
        padding: 10px;
        width: 85vw;
    }

    #share-text-actual {
        font-size: 13px;
    }

    .shareBtn {
        font-size: 15px;
    }
}

.spinner {
    width: 500px;
    height: 500px;
    background-color: #ccc;
    border-radius: 50%;
    border: 15px solid #dde;
    position: relative;
    overflow: hidden;
    transition: 5s;
}

/* //-------------------- */
.lights {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

#lights {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 590px;
    height: 590px;
    z-index: 8;
}

#lights-off {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 590;
    height: 590px;
    filter: drop-shadow(0px 0px 8px rgb(255, 255, 255));
    z-index: 7;
}

#logo {
    display: none;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 120px;
    height: 120px;
    z-index: 9;
}

#spinner {
    width: 538px;
    height: 538px;
    transform: rotate(238deg);
}

.spin {
    animation: rotor 30s linear infinite;

}

#arrow {
    position: absolute;
    width: 85px;
    right: -45px;
    z-index: 9;
    filter: drop-shadow(5px 0px 5px rgb(255, 255, 255, 0.7));
}

@keyframes rotor {
    0% {
        transform: rotate(0);
    }

    100% {
        transform: rotate(350deg);
    }
}


/* //spinner-rotation-class */
.rotate {
    animation: rotate 0.45s linear infinite;
}

@keyframes rotate {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@media (max-width: 1360px) {
    #support-stick {
        display: none;
    }

    .gameBox {
        width: 98%;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
    }

    .gameAction {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .gameInfo {
        width: 100%;
        text-align: center;
    }

    .gameInfoList {
        justify-content: center;
        align-items: center;
    }

    .container {
        background: url('/static/main/images/casino-1.png');
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        padding: 140px 0px;
    }
}

@media (max-width: 750px) {

    #lights,
    #lights-off {
        width: 300px;
        height: 300px;
    }

    #spinner {
        width: 260px;
        height: 260px;
    }

    #arrow {
        width: 48px;
        right: -28px;
    }

    .gameActionBtn {
        font-size: 18px;
        width: 85vw;
    }

    .gameInfo {
        padding: 20px 15px;
    }

    .gameInfo h3 {
        font-size: 18px;
    }

    .gameInfoList {
        font-size: 13px;
    }

    .gameInfoList li i {
        font-size: 17px;
    }

    .container {
        padding: 75px 0px;
    }

    .gameBox {
        gap: 30px;
    }
}

.brandLabel {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    font-size: 12px;
    padding: 5px 8px;
    text-align: center;
    background: rgb(255, 255, 255);
    color: black;
    font-weight: 600;
    font-family: "Geologica";
    cursor: pointer;
    border-radius: 10px 10px 0px 0px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 3px;
}

.brandLabel img {
    width: 16px;
    height: 16px;
    border-radius: 50%;
    object-fit: cover;
    object-position: center;
    border: 1px solid rgb(180, 180, 180);
    margin-bottom: -1px;
}

.scriptLine {
    font-size: 16px;
    font-weight: 600;
    padding: 8px 20px;
    box-shadow: 0px 0px 5px black;
    cursor: pointer;
    background: white;
    letter-spacing: 1px;
    color: rgb(17, 17, 17);
    border-radius: 20px;
    box-shadow: 0px 0px 5px white;
    transition: 0.3s ease-out;
    text-align: center;
}

.scriptLine:hover {
    box-shadow: 0px 0px 8px rgba(255, 255, 255, 0.413);
    background: rgb(255, 255, 255);
}

.scriptLine2 {
    font-size: 16px;
    font-weight: 600;
    padding: 8px 20px;
    box-shadow: 0px 0px 5px black;
    cursor: pointer;
    background: white;
    letter-spacing: 1px;
    color: rgb(17, 17, 17);
    border-radius: 20px;
    box-shadow: 0px 0px 5px white;
    transition: 0.3s ease-out;
    text-align: center;
    display: none;
}



.buyPromptWrapper {
    width: 100%;
    position: fixed;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(4px);
    height: 100vh;
    z-index: 9999999;
    display: none;
}

.buyPrompt {
    padding: 30px 20px;
    border-radius: 20px;
    background: rgb(20, 20, 20);
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    flex-direction: column;
    box-shadow: 0px 0px 10px black;
    animation: popOpen 0.3s ease-out;
}

@keyframes popOpen {
    0% {
        transform: scale(0.8);
    }

    100% {
        transform: scale(1);
    }
}

.buyPrompt h2 {
    font-size: 25px;
    color: orange;
    font-weight: 600;
    font-family: "Josefin Sans";
    margin-bottom: 10px;
    text-transform: uppercase;
}

.buyPlanBox {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

.buyPlanItem {
    padding: 20px;
    border-radius: 10px;
    background: rgb(35, 35, 35);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 12px;
    border: 1px solid rgb(60, 60, 60);
    box-shadow: 0px 0px 5px rgb(0, 0, 0, 0.4);
    min-width: 300px;
}

.buyPlanItem h4 {
    font-size: 18px;
    color: gray;
    font-weight: 600;
}

.buyPlanItem h3 {
    font-size: 28px;
    color: orange;
    letter-spacing: 1px;
    font-weight: 700;
}

.buyPlanBullet {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 4px;
    font-size: 13px;
    color: rgb(155, 155, 155);
    letter-spacing: 1px;
}

.buyPlanBullet b {
    color: rgb(211, 211, 211);
}

.buyPlanBullet i {
    font-optical-sizing: 18px;
    color: orange;
}

.buyActionWrapper {
    margin-top: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

.buyPlanBtn {
    font-size: 15px;
    padding: 12px 15px;
    border-radius: 10px;
    font-weight: 600;
    background: crimson;
    text-transform: uppercase;
    letter-spacing: 1px;
    color: white;
    min-width: 200px;
    border: 2px solid crimson;
    cursor: pointer;
}

.buyPlanBtn:hover {
    box-shadow: 0px 0px 10px rgb(255, 255, 255);
    ;
}

.buyPlanBtnClose {
    font-size: 15px;
    padding: 12px 15px;
    border-radius: 10px;
    font-weight: 600;
    background: transparent;
    text-transform: uppercase;
    letter-spacing: 1px;
    color: white;
    min-width: 200px;
    border: 2px solid white;
    cursor: pointer;
}

.buyPlanBtnClose:hover {
    box-shadow: 0px 0px 10px white;
}

@media (max-width: 730px) {
    .buyPlanBox {
        flex-direction: column;
    }

    .buyPlanBtn,
    .buyPlanBtnClose {
        min-width: 150px;
    }
}

@media (max-width: 450px) {
    .buyPrompt {
        padding: 14px;
        gap: 15px;
        width: 96%;
    }

    .buyPrompt h2 {
        font-size: 20px;
        margin-bottom: 0px;
    }

    .buyPlanBtnClose,
    .buyPlanBtn {
        font-size: 12px;
        padding: 5px 10px;
        width: 50%;
    }

    .buyPlanItem {
        padding: 10px;
        width: 100%;
    }
}

@media (max-width: 650px) {
    .scriptLine {
        font-size: 12px;
        padding: 8px 10px;
    }
}

@media (max-width: 500px) {
    .scriptLine {
        display: none;
    }

    .scriptLine2 {
        display: block;
    }
}